org.eclipse.lyo.client.oslc.resources

## Class TestExecutionRecord

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.QmResource
    - - org.eclipse.lyo.client.oslc.resources.TestExecutionRecord

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

      @OslcResourceShape(title="Quality Management Resource Shape",
                         describes="http://open-services.net/ns/qm#TestExecutionRecord")
      @OslcNamespace(value="http://open-services.net/ns/qm#")
      public final class TestExecutionRecord
      extends QmResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestExecutionRecord()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBlockedByChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link blockingChangeRequest)`
    `void` | `addContributor(URI contributor)`
    `void` | `addCreator(URI creator)`
    `void` | `addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getBlockedByChangeRequests()`
    `URI[]` | `getContributors()`
    `URI[]` | `getCreators()`
    `protected URI` | `getRdfType()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedChangeRequests()`
    `org.eclipse.lyo.oslc4j.core.model.Link` | `getReportsOnTestPlan()`
    `URI` | `getRunsOnTestEnvironment()`
    `org.eclipse.lyo.oslc4j.core.model.Link` | `getRunsTestCase()`
    `void` | `setBlockedByChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] blockedByChangeRequests)`
    `void` | `setContributors(URI[] contributors)`
    `void` | `setCreators(URI[] creators)`
    `void` | `setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)`
    `void` | `setReportsOnTestPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestPlan)`
    `void` | `setRunsOnTestEnvironment(URI runsOnTestEnvironment)`
    `void` | `setRunsTestCase(org.eclipse.lyo.oslc4j.core.model.Link runsTestCase)`

    - ### Methods inherited from class org.eclipse.lyo.client.oslc.resources.QmResource

      `addRdfType, getCreated, getIdentifier, getInstanceShape, getModified, getRdfTypes, getServiceProvider, getTitle, setCreated, setIdentifier, setInstanceShape, setModified, setRdfTypes, setServiceProvider, setTitle`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestExecutionRecord

          public TestExecutionRecord()

  - ### Method Detail

    - #### getRdfType

          protected URI getRdfType()

      Specified by:
        `getRdfType` in class `QmResource`

    - #### addBlockedByChangeRequest

          public void addBlockedByChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link blockingChangeRequest)

    - #### addContributor

          public void addContributor(URI contributor)

    - #### addCreator

          public void addCreator(URI creator)

    - #### addRelatedChangeRequest

          public void addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)

    - #### getContributors

          @OslcDescription(value="The person(s) who are responsible for the work needed to complete the change request.")
          @OslcName(value="contributor")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/contributor")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Contributors")
          public URI[] getContributors()

    - #### getCreators

          @OslcDescription(value="Creator or creators of resource.")
          @OslcName(value="creator")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/creator")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Creators")
          public URI[] getCreators()

    - #### getBlockedByChangeRequests

          @OslcDescription(value="Change Request that prevents execution of the Test Execution Record.")
          @OslcName(value="blockedByChangeRequest")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#blockedByChangeRequest")
          @OslcRange(value="http://open-services.net/ns/cm#ChangeRequest")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Blocked By Change Request")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getBlockedByChangeRequests()

    - #### getRelatedChangeRequests

          @OslcDescription(value="This relationship is loosely coupled and has no specific meaning.")
          @OslcName(value="relatedChangeRequest")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#relatedChangeRequest")
          @OslcRange(value="http://open-services.net/ns/cm#ChangeRequest")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Related Change Requests")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedChangeRequests()

    - #### getReportsOnTestPlan

          @OslcDescription(value="Test Plan that the Test Execution Record reports on.")
          @OslcName(value="reportsOnTestPlan")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#reportsOnTestPlan")
          @OslcRange(value="http://open-services.net/ns/qm#TestPlan")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Reports On Test Plan")
          public org.eclipse.lyo.oslc4j.core.model.Link getReportsOnTestPlan()

    - #### getRunsOnTestEnvironment

          @OslcDescription(value="Indicates the environment details of the test case for this execution record.")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#runsOnTestEnvironment")
          @OslcTitle(value="Runs On Test Environment")
          public URI getRunsOnTestEnvironment()

    - #### getRunsTestCase

          @OslcDescription(value="Test Case run by the Test Execution Record.")
          @OslcName(value="runsTestCase")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#runsTestCase")
          @OslcRange(value="http://open-services.net/ns/qm#TestCase")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Runs Test Case")
          public org.eclipse.lyo.oslc4j.core.model.Link getRunsTestCase()

    - #### setBlockedByChangeRequests

          public void setBlockedByChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] blockedByChangeRequests)

    - #### setContributors

          public void setContributors(URI[] contributors)

    - #### setCreators

          public void setCreators(URI[] creators)

    - #### setRelatedChangeRequests

          public void setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)

    - #### setReportsOnTestPlan

          public void setReportsOnTestPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestPlan)

    - #### setRunsOnTestEnvironment

          public void setRunsOnTestEnvironment(URI runsOnTestEnvironment)

    - #### setRunsTestCase

          public void setRunsTestCase(org.eclipse.lyo.oslc4j.core.model.Link runsTestCase)

Copyright © 2016. All Rights Reserved.